Bug 965568 - [abrt] evince-3.8.0-2.fc19: g_type_check_instance_cast: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
[abrt] evince-3.8.0-2.fc19: g_type_check_instance_cast: Process /usr/bin/evin...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:e907739d576df0a51910163b289...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 07:22 EDT by oliver
Modified: 2015-02-17 10:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:17:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.48 KB, text/plain)
2013-05-21 07:23 EDT, oliver
no flags Details
File: cgroup (140 bytes, text/plain)
2013-05-21 07:23 EDT, oliver
no flags Details
File: core_backtrace (3.16 KB, text/plain)
2013-05-21 07:23 EDT, oliver
no flags Details
File: dso_list (10.75 KB, text/plain)
2013-05-21 07:23 EDT, oliver
no flags Details
File: environ (1.84 KB, text/plain)
2013-05-21 07:24 EDT, oliver
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-21 07:24 EDT, oliver
no flags Details
File: maps (54.99 KB, text/plain)
2013-05-21 07:25 EDT, oliver
no flags Details
File: open_fds (1.29 KB, text/plain)
2013-05-21 07:25 EDT, oliver
no flags Details
File: proc_pid_status (912 bytes, text/plain)
2013-05-21 07:25 EDT, oliver
no flags Details
File: var_log_messages (3.64 KB, text/plain)
2013-05-21 07:26 EDT, oliver
no flags Details

  None (edit)
Description oliver 2013-05-21 07:22:59 EDT
Description of problem:
I followed a link in a PDF and then pushed the back button.  Immediate crash.

I cannot reproduce the problem with the same PDF file and the same link.  Seems to involve more complicated state which I do not know how to reproduce.

Version-Release number of selected component:
evince-3.8.0-2.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        evince /home/oliver/wang2009.pdf
crash_function: g_type_check_instance_cast
executable:     /usr/bin/evince
kernel:         3.9.2-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4033
 #1 ev_history_go_back at ev-history.c:167
 #2 _g_closure_invoke_va at gclosure.c:840
 #5 gtk_real_button_released at gtkbutton.c:1967
 #10 gtk_button_button_release at gtkbutton.c:1802
 #11 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:130
 #12 _g_closure_invoke_va at gclosure.c:840
 #15 gtk_widget_event_internal at gtkwidget.c:6714
 #16 gtk_widget_event at gtkwidget.c:6371
 #17 propagate_event_up at gtkmain.c:2393
Comment 1 oliver 2013-05-21 07:23:15 EDT
Created attachment 751036 [details]
File: backtrace
Comment 2 oliver 2013-05-21 07:23:26 EDT
Created attachment 751037 [details]
File: cgroup
Comment 3 oliver 2013-05-21 07:23:34 EDT
Created attachment 751038 [details]
File: core_backtrace
Comment 4 oliver 2013-05-21 07:23:54 EDT
Created attachment 751040 [details]
File: dso_list
Comment 5 oliver 2013-05-21 07:24:08 EDT
Created attachment 751041 [details]
File: environ
Comment 6 oliver 2013-05-21 07:24:21 EDT
Created attachment 751042 [details]
File: limits
Comment 7 oliver 2013-05-21 07:25:38 EDT
Created attachment 751044 [details]
File: maps
Comment 8 oliver 2013-05-21 07:25:48 EDT
Created attachment 751046 [details]
File: open_fds
Comment 9 oliver 2013-05-21 07:25:57 EDT
Created attachment 751047 [details]
File: proc_pid_status
Comment 10 oliver 2013-05-21 07:26:08 EDT
Created attachment 751050 [details]
File: var_log_messages
Comment 11 Fedora End Of Life 2015-01-09 13:10:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2015-02-17 10:17:39 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.